/**
 * Created by TFG on 06/26/2020 - FRES-183
 * Model to handle the table tbl_awcbl_log
 * This table stores the log for the AWCBL operations
 */
module.exports = function(sequelize, DataTypes) {
    var AwcblLog = sequelize.define('AwcblLog', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            userId: {
                type: DataTypes.STRING,
                field: 'user_id'
            },
            reportPath: {
                type: DataTypes.STRING,
                field: 'report_path'
            },
            transactionId: {
                type: DataTypes.STRING,
                field: 'transaction_id'
            },
            status: {
                type: DataTypes.STRING,
                field: 'status'
            },
            notes: {
              type: DataTypes.STRING,
              field: 'notes'
            },
            date: {
              type: DataTypes.DATE,
              field: 'date'
            }
      },
        {
            timestamps: false,
            tableName: 'tbl_awcbl_log',
            indexes: [
                // Create a unique index
                {
                    unique: true,
                    fields: ['userId']
                }
            ]
        }
    );
    return AwcblLog;
};
