/**
 * Created by TFG on 09/09/2020.
 * Management for the Self Test queue
 */
var app = require("../../child");

var LoaderHelper = require("../helpers/LoaderHelper");

module.exports = function(winston, rabbit, models, config, cb) {
    // variable to hold starting time
    var logger = winston.loggers.get("main");

    // always setup your message handlers first
    rabbit.nackOnError();

    // this handler will handle messages sent from the publisher
    rabbit.handle({
        queue: 'topic-fresenius-selftest',
        type: 'loader.sf'
    }, function (msg) {
        logger.info(process.pid + ":LOADER SF POST Received:",
            msg.body,
            "routingKey:", msg.fields.routingKey);

        msg.ack();          // Acknowledge any received message here ! Empty the queue

        // If receive a message containing : m3api querying
        // acknowledge the message and send back an answer : m3loader answering
        if (msg.body.includes("m3api querying")) {
            logger.debug(process.pid + "Send back answer !");

            var rh = new RabbitHelper(winston, config);
            rh.processData(winston, "m3loader answering", "loader.sf");
        }
    });

    logger.info(process.pid + ':Set up loader self test OK ');
    return require("../config/RabbitTopology.js")(rabbit, "loader.sf", config);
};

